*----------------------------------
* Pontificia Universidad Javeriana			                      
* Departamento de Economía				                      
* Escuela de Género y Economía                                        
*----------------------------------

* Descargar los microdatos correspodientes a cada mes -con el sufijo .dta-
* de http://microdatos.dane.gov.co/index.php/catalog/547/get_microdata para 2018
* y de  para 2010.
*Descomprimir cada archivo .zip y renombrar cada carpeta eliminando el sufijo .dta
*Carpetas: Genero y economía, dentro de esta va mapas y Datos. Dentro de Datos
*quedan guardadas las carpetas 2018 y 2010, cada una con sus meses correspondientes
*Antes de correr el código modificar la macro "master" para la ubicación de los archivos.


clear all
cap log close
set more off

global master= "/Users/`c(username)'/Downloads/Genero y economia"
global Datos= "$master/Datos"
global mapas= "$master/mapas"


*Procesar la GEIH
do "$Datos/genero_economia.do"

*Estádisticas en gráficos
do "$Datos/genero_economia_estadisticas.do"

*Procesar el mapa
do "$mapas/mapa.do"

*Estadísticas en mapas
do "$mapas/mapa_estadisticas.do"

