cd "$mapas"
use collapse_2010, clear
merge 1:1 id using "$mapas/collapse_2018.dta"

*Crear una variable "mpio" para las etiquetas de las ciudades según su identificador
gen mpio=.	
tostring mpio,replace		
replace mpio=	"Medellín"	if id==	378
replace mpio=	"Barranquilla"	if id==	10
replace mpio=	"Bogotá"	if id==	723
replace mpio=	"Cartagena"	if id==	37
replace mpio=	"Tunja"	if id==	534
replace mpio=	"Manizales"	if id==	640
replace mpio=	"Florencia"	if id==	970
replace mpio=	"Popayán"	if id==	941
replace mpio=	"Valledupar"	if id==	22
replace mpio=	"Montería"	if id==	146
replace mpio=	"Quibdó"	if id==	387
replace mpio=	"Neiva"	if id==	898
replace mpio=	"Riohacha"	if id==	4
replace mpio=	"Santa Marta"	if id==	6
replace mpio=	"Villavicencio"	if id==	816
replace mpio=	"Pasto"	if id==	1033
replace mpio=	"Cúcuta"	if id==	180
replace mpio=	"Armenia"	if id==	773
replace mpio=	"Pereira"	if id==	710
replace mpio=	"Bucaramanga"	if id==	258
replace mpio=	"Sincelejo"	if id==	104
replace mpio=	"Ibagué"	if id==	756
replace mpio=	"Cali"	if id==	879
replace mpio="" if mpio=="."

format (d1_2010 d1_2018 d2_2010 d2_2018 e1_2010 e1_2018 e2_2010 e2_2018 hog_norem1_2010 hog_norem1_2018 hog_norem2_2010 hog_norem2_2018 informalidad1_2010 informalidad1_2018 informalidad2_2010 informalidad2_2018 nino_norem1_2010 nino_norem1_2018 nino_norem2_2010 nino_norem2_2018 pea1_2010 pea1_2018 pea2_2010 pea2_2018 salario_real1_2010 salario_real1_2018 salario_real2_2010 salario_real2_2018) %12.2f


foreach i in d e pea informalidad salario_real hog_norem nino_norem {
tabstat `i'1_2010 `i'2_2010 `i'1_2018 `i'2_2018, by(mpio) f(%12.2f) save
mat t=(r(Stat1)\r(Stat2)\r(Stat3)\r(Stat4)\r(Stat5)\r(Stat6)\r(Stat7)\r(Stat8)\r(Stat9)\r(Stat10)\r(Stat11)\r(Stat12)\r(Stat13)\r(Stat14)\r(Stat15)\r(Stat16)\r(Stat17)\r(Stat18)\r(Stat19)\r(Stat20)\r(Stat21)\r(Stat22)\r(Stat23)\r(StatTotal)) 
mat rownames t= "Armenia" "Barranquilla" "Bogotá" "Bucaramanga" "Cali" "Cartagena" "Cúcuta" "Florencia" "Ibagué" "Manizales" "Medellín" "Montería" "Neiva" "Pasto" "Pereira" "Popayán" "Quibdó" "Riohacha" "Santa Marta" "Sincelejo" "Tunja" "Valledupar" "Villavicencio" "Total"
mat list t, f(%12.2f)
}
